unit EpIIReg;

interface

{$I EpIIVer.inc}

uses
  Classes, SysUtils, DesignIntf;

procedure Register;

implementation {===============================================================}

uses KsMenuDesigner, EpIIBitmaps, EpIIForms, EpIIBitmapsDsgn, EpIIItems,
  EpIIMenus, EpIIButtons, EpIIProgress, EpIITrackBars, EpIICheckBoxs,
  EpIIPanels, EpIIGroupBoxs, EpIIRangeBars, EpIIScrollBars;

{$R *.DCR}

procedure Register;
begin
  RegisterComponents('ExtraPack II', [TEpBitmapList, TEpForm, TEpMenuBar,
    TEpPopupMenu, TEpButton, TEpProgressBar, TEpCheckBox, TEpRadioButton,
    TEpPanel, TEpGroupBoxII, TEpTrackBar, TEpRangeBar, TEpScrollBar]);

  { IDE Editor }
  RegisterComponentEditor(TEpBitmapList, TEpBitmapListEditor);

  RegisterNoIcon([TEpItem]);

  RegisterComponentEditor(TEpPopupMenu, TKsPopupMenuEditor);
  RegisterComponentEditor(TEpMenuBar, TKsMenuBarEditor);

  RegisterPropertyEditor(TypeInfo(TEpItem), nil, '', TKsItemsPropertyEditor);
end;

end.

